package com.tencent.mm.plugin.appbrand.jsapi;

import android.os.Bundle;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.cf;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask;
import com.tencent.mm.plugin.appbrand.ipc.AppBrandProxyUIProcessTask$ProcessRequest;
import com.tencent.mm.plugin.appbrand.jsapi.JsApiShowImageOperateSheet.BottomSheetLogicHelper.IPCProcessQRCodeResultRequest;
import com.tencent.mm.plugin.appbrand.jsapi.JsApiShowImageOperateSheet.BottomSheetLogicHelper.IPCQRCodeRecognizeResult;
import com.tencent.mm.sdk.b.a;
import com.tencent.mm.sdk.platformtools.ab;

final class JsApiShowImageOperateSheet$BottomSheetLogicHelper$b extends AppBrandProxyUIProcessTask {
    private JsApiShowImageOperateSheet$BottomSheetLogicHelper$b() {
    }

    public final void a(AppBrandProxyUIProcessTask$ProcessRequest appBrandProxyUIProcessTask$ProcessRequest) {
        AppMethodBeat.i(130590);
        if (appBrandProxyUIProcessTask$ProcessRequest instanceof IPCProcessQRCodeResultRequest) {
            IPCProcessQRCodeResultRequest iPCProcessQRCodeResultRequest = (IPCProcessQRCodeResultRequest) appBrandProxyUIProcessTask$ProcessRequest;
            cf cfVar = new cf();
            cfVar.cvm.activity = aBQ();
            cfVar.cvm.ctB = IPCQRCodeRecognizeResult.a(IPCProcessQRCodeResultRequest.a(iPCProcessQRCodeResultRequest));
            cfVar.cvm.cvn = IPCQRCodeRecognizeResult.b(IPCProcessQRCodeResultRequest.a(iPCProcessQRCodeResultRequest));
            cfVar.cvm.cvo = IPCQRCodeRecognizeResult.c(IPCProcessQRCodeResultRequest.a(iPCProcessQRCodeResultRequest));
            cfVar.cvm.scene = 44;
            Bundle bundle = new Bundle();
            bundle.putInt("stat_scene", 6);
            bundle.putString("stat_app_id", IPCProcessQRCodeResultRequest.b(iPCProcessQRCodeResultRequest));
            bundle.putString("stat_url", IPCProcessQRCodeResultRequest.c(iPCProcessQRCodeResultRequest));
            cfVar.cvm.cvs = bundle;
            a.xxA.m(cfVar);
            AppMethodBeat.o(130590);
            return;
        }
        ab.e("MicroMsg.JsApiShowImageOperateSheet", "IPCProcessQRCodeResultTask request instance not valid");
        AppMethodBeat.o(130590);
    }
}
